Name: ovmd
Version: 3.8
Release: 0%{?dist}
Summary: Oracle VM guest daemon
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libovmapi-devel >= 3.3
BuildRequires: systemd
%{?systemd_requires}
Requires: libovmapi >= 3.3
Requires: ovm-template-config >= 3.8

%description
Oracle VM guest daemon.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post ovmd.service ovm-template-initial-config.service

%preun
%systemd_preun ovmd.service ovm-template-initial-config.service

%postun
%systemd_postun

%files
%defattr(-,root,root)
%doc COPYING
%config %{_sysconfdir}/sysconfig/ovmd
%config %{_sysconfdir}/sysconfig/ovm-template-initial-config
%{_sbindir}/ovmd
%{_sbindir}/ovm-template-initial-config
%{_unitdir}/ovmd.service
%{_unitdir}/ovm-template-initial-config.service
%{_presetdir}/91-ovmd.preset

%changelog
* Tue Oct 27 2020 Vamsi Krishna Inguva <vamsi.inguva@oracle.com> - 3.8.0.el8
- Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com>
- Oracle-Bug: 29629987
     Port ovmd to Oracle Linux 8. Increase version to 3.8.
     Added CFLAGS to Makefile and version changes to ovmd.spec.
     ovmd-3.8.0.el8 is taken from tags-7/ovmd-3.7.14.el7.

* Thu Jan 04 2018 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.7-9.el7
- Oracle-Bug: 27250922
  Fixed the initial config functionality that was broken in 3.7-8.el7.

* Wed Jan 03 2018 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.7-8.el7
- Oracle-Bug: 27250922
  Fixed incorrect use of select() that could cause SIGIO handler to hang.

* Wed Dec 06 2017 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.7-7.el7
- Oracle-Bug: 27150498
  Handle multiple IPv4 addresses per network interface.

* Thu Oct 29 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.7-6.el7
- Update the build and runtime dependency on libovmapi version >= 3.2

* Mon Oct 19 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.7-5.el7
- Removed "goto fail" from sendAliveEvent and sendIPChangeInfoMessage
  Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>

* Mon Oct 12 2015 Alexandre Khodakovski  <alexandre.khodakovski@oracle.com> - 3.7-4.el7
Use ovmjson library from libovmapi package instead of cJSON.c in ovmd and xenstoreprovider. [bug 21877857]
Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>

* Wed Mar 25 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-3.el7
- fix ovm-template-initial-config service hang issue.

* Thu Mar 19 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-2.el7
- start ovm template initial configure service after postfix

* Mon Dec 01 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-1.el7
- port for ol7

